#! /bin/sh /usr/share/dpatch/dpatch-run
## 13_optional-zentest.dpatch by Tobias Grimm <etobi@debian.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Debian doesn't have ZenTest packaged, so use it only if it is
## DP: available via rubygems.

@DPATCH@
--- a/lib/test_unit_heckler.rb
+++ b/lib/test_unit_heckler.rb
@@ -2,7 +2,13 @@
 
 require 'test/unit/testcase'
 require 'heckle'
-require 'zentest_mapping'
+begin
+  require 'zentest_mapping'
+  HAVE_ZENTEST = true
+rescue LoadError
+  # if zentest isn't available, just don't use it
+  HAVE_ZENTEST = false
+end
 
 $: << 'lib' << 'test'
 
@@ -102,7 +108,7 @@
     self.class.load_test_files unless @@tests_loaded
   end
 
-  include ZenTestMapping
+  include ZenTestMapping if HAVE_ZENTEST
 
   def tests_pass?
     silence_stream do
